ڈیولپر API
InteriorDecoratorAI API
AI اندروني ڈیزائن کو آپکے اپلیکیشن میں شامل کریں پروگرامی طور پر کمرے کی تبدیلی پیدا کریں
شروع
API استعمال کرنے کے لیے آپ کو API ٹوکن کی ضرورت ہے۔ اپنے اکاؤنٹ کی صفحے سے اپنا ٹوکن حاصل کریں۔
تمام API درخواستوں کو توثیق کی ضرورت ہے Authorization ہیڈر کے ذریعے.
توثیق
Authorization: Token YOUR_API_TOKEN
Create a Conversion
POST /api/conversion/
Upload an image and specify room type and style to generate a design.
cURL Example
curl -X POST https://api.interiordecoratorai.com/interior/ \ -F "files=@room.jpg" \ -F "uuid=$(uuidgen)" \ -F "room_type=living_room" \ -F "style=modern" \ -F "space=interior"
Python Example
import requests
import uuid
api_domain = "https://api.interiordecoratorai.com"
conversion_uuid = str(uuid.uuid4())
# Upload image for processing
with open("room.jpg", "rb") as f:
response = requests.post(
f"{api_domain}/interior/",
files={"files": f},
data={
"uuid": conversion_uuid,
"room_type": "living_room",
"style": "modern",
"space": "interior",
}
)
# Poll for results
result = requests.post(
f"{api_domain}/results/",
json={"conversion": conversion_uuid}
)
print(result.json())
Check Results
POST https://api.interiordecoratorai.com/results/
Response
{
"finished": true,
"files": [
{
"url": "/results/abc123.jpg",
"original": "/originals/abc123.jpg",
"thumbnail": "/thumbs/abc123.jpg"
}
]
}
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
files | File | Yes | Image file (JPG, PNG) |
uuid | String | Yes | Unique identifier for tracking |
room_type | String | Yes | e.g., living_room, bedroom, kitchen |
style | String | Yes | e.g., modern, scandinavian, industrial |
space | String | Yes | "interior" or "exterior" |
renders | Integer | No | Number of variations (1-4, Pro only) |
model | String | No | sdxl, flux-schnell, or flux-dev |
upscale | Boolean | No | Upscale to 4K (Pro only) |
staging | String | No | Set to "true" for virtual staging |
sketch | String | No | Set to "true" for sketch-to-render |
API Pricing
API access is included with all Pro plans. Each conversion costs 1 credit (2 credits for staging and sketch-to-render).
View Plans